package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/kalkulator")
public class KalkulatorController {
	@Autowired
	private LogikaKalkulatora logika;

	@GetMapping
	public String kalkulatorGet() {
		return "kalkulator";
	}
	
	@PostMapping
	public String kalkulatorPost(Model model, Integer arg1, Integer arg2, String operacja) {
		Integer wynik = logika.oblicz(arg1, arg2, operacja);
		model.addAttribute("wynik", wynik);
		return "kalkulator";
	}
	
	@GetMapping("/historia")
	public String historia(Model model) {
		model.addAttribute("historia", logika.getHistoriaDzialan());
		return "historia";
	}

}

// v4 - LogikaKalkulatora jako interfejs
